Package org.eclipse.birt.core.util

# Class BTreeUtil

java.lang.Object
org.eclipse.birt.core.util.BTreeUtil

public class BTreeUtil extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BTreeUtil.ReaderTreeFile`

## Constructor Summary

Constructors
Constructor
Description
`BTreeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
`createBTree(IArchiveFile archive, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
`createBTree(IDocArchiveWriter writer, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
`openBTree(IArchiveFile archive, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
`openBTree(IDocArchiveReader reader, String entryName, int dataType)`
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
`openBTree(IDocArchiveWriter writer, String entryName, int dataType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BTreeUtil

public BTreeUtil()

## Method Details

### openBTree

public static org.eclipse.birt.core.btree.BTree<Object,Integer> openBTree(IArchiveFile archive, String entryName, int dataType) throws IOException

Throws:
  `IOException`

### createBTree

public static org.eclipse.birt.core.btree.BTree<Object,Integer> createBTree(IArchiveFile archive, String entryName, int dataType) throws IOException

Throws:
  `IOException`

### openBTree

public static org.eclipse.birt.core.btree.BTree<Object,Integer> openBTree(IDocArchiveReader reader, String entryName, int dataType) throws IOException

Throws:
  `IOException`

### openBTree

public static org.eclipse.birt.core.btree.BTree<Object,Integer> openBTree(IDocArchiveWriter writer, String entryName, int dataType) throws IOException

Throws:
  `IOException`

### createBTree

public static org.eclipse.birt.core.btree.BTree<Object,Integer> createBTree(IDocArchiveWriter writer, String entryName, int dataType) throws IOException

Throws:
  `IOException`